# Get Products

> Source: https://truto.one/docs/api-reference/unified-e-commerce-api/products/get/

`GET /unified/ecommerce/products/{id}`

Resource: **Products** · API: **Unified E-Commerce API**

## Supported integrations

Bigcommerce, Commerce7, Shopify, Wix, WooCommerce, Zoho Inventory

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Response body

- **`id`** _(string, required)_
  The unique identifier for a product
- **`name`** _(string)_
  The name of a product
- **`description`** _(string)_
  The description of a product
- **`status`** _(string)_
  The status of a product. If no clear mapping exists, then raw value is returned.
  Allowed: `active`, `inactive`
- **`price`** _(string)_
  The price of a product
- **`sku`** _(string)_
  The sku of a product
- **`inventory_quantity`** _(string)_
  The quantity of a product in stock
- **`images`** _(array<object>)_
  The images of a product
  - **`id`** _(string)_
    The unique identifier of an image of a product
  - **`url`** _(string)_
    The url of an image of product
- **`weight`** _(string)_
  The weight of a product
- **`weight_unit`** _(string)_
  The weight unit of a product
- **`options`** _(array<object>)_
  The options of a product
  - **`id`** _(string)_
    The unique identifier of an option of a product
  - **`name`** _(string)_
    The name of option for product
  - **`values`** _(array<unknown>)_
    The values of option for product
- **`variants`** _(array<object>)_
  The options of a product
  - **`id`** _(string)_
    The unique identifier of a variant of a product
  - **`name`** _(string)_
    The name of variant for product
  - **`price`** _(string)_
    The price of variant for product
  - **`sku`** _(string)_
    The sku of variant for product
  - **`inventory_quantity`** _(string)_
    The quantity of variant for product in stock
  - **`weight`** _(string)_
    The weight of variant
  - **`options`** _(array<object>)_
    The options for variant
    - **`id`** _(string)_
      The unique identifier for option of variant
    - **`name`** _(string)_
      The name for option of variant
    - **`value`** _(string)_
      The value for option of variant
  - **`images`** _(array<object>)_
    The images for variant
    - **`id`** _(string)_
      The unique identifier for image of variant
    - **`url`** _(string)_
      The url of image of variant
- **`tags`** _(array<string>)_
  The tags of a product
- **`categories`** _(array<object>)_
  The categories of a product
  - **`id`** _(string)_
    The unique identifier of a category of product
  - **`name`** _(string)_
    The name of category for product
- **`created_at`** _(string)_
  The date and time when product was created
- **`updated_at`** _(string)_
  The date and time when product was updated
- **`notes`** _(string)_
  The notes related to the product, if any.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/ecommerce/products/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ecommerce/products/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ecommerce/products/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ecommerce',
  'products',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ecommerce",
        "products",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
